Subject: Re: [PATCH] Rewrite e100_phys_id

From: Auke Kok <[email-masked]>
Date: Tue, 07 Nov 2006 14:34:57 -0800

Matthew Wilcox wrote:
> On Tue, Nov 07, 2006 at 10:33:14AM -0800, Auke Kok wrote:
>> Matthew Wilcox wrote:
>>> Tested on the internal interface of an HP Integrity rx2600.
>> bad news, it's completely hosed. The adapter does some indistinguishable 
>> blinking for a second, then stops blinking alltogether.
> 
> Weird.  I tested it on the only e100 I have access to, and it worked.
> I've just reviewed the patch you quoted below, and I don't see what the
> problem is.  

I don't understand it either, and will dig into this after I get more coffee.

point is that `ethtool -p` now exits immediately after 500ms. it should loop until ^C is 
pressed. Somehow msleep_interruptable is always returning 0 on my platform? very strange.

Auke